<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1" />
<title><i>Euclid's Elements</i>: Reference Sheet for Book 1</title>
<meta name="generator" content="Org mode" />
<meta name="description" content="A quick reference sheet for Book 1 of Euclid's Elements."
 />
<style type="text/css">
 <!--/*--><![CDATA[/*><!--*/
  .title  { text-align: center;
             margin-bottom: .2em; }
  .subtitle { text-align: center;
              font-size: medium;
              font-weight: bold;
              margin-top:0; }
  .todo   { font-family: monospace; color: red; }
  .done   { font-family: monospace; color: green; }
  .priority { font-family: monospace; color: orange; }
  .tag    { background-color: #eee; font-family: monospace;
            padding: 2px; font-size: 80%; font-weight: normal; }
  .timestamp { color: #bebebe; }
  .timestamp-kwd { color: #5f9ea0; }
  .org-right  { margin-left: auto; margin-right: 0px;  text-align: right; }
  .org-left   { margin-left: 0px;  margin-right: auto; text-align: left; }
  .org-center { margin-left: auto; margin-right: auto; text-align: center; }
  .underline { text-decoration: underline; }
  #postamble p, #preamble p { font-size: 90%; margin: .2em; }
  p.verse { margin-left: 3%; }
  pre {
    border: 1px solid #ccc;
    box-shadow: 3px 3px 3px #eee;
    padding: 8pt;
    font-family: monospace;
    overflow: auto;
    margin: 1.2em;
  }
  pre.src {
    position: relative;
    overflow: visible;
    padding-top: 1.2em;
  }
  pre.src:before {
    display: none;
    position: absolute;
    background-color: white;
    top: -10px;
    right: 10px;
    padding: 3px;
    border: 1px solid black;
  }
  pre.src:hover:before { display: inline;}
  /* Languages per Org manual */
  pre.src-asymptote:before { content: 'Asymptote'; }
  pre.src-awk:before { content: 'Awk'; }
  pre.src-C:before { content: 'C'; }
  /* pre.src-C++ doesn't work in CSS */
  pre.src-clojure:before { content: 'Clojure'; }
  pre.src-css:before { content: 'CSS'; }
  pre.src-D:before { content: 'D'; }
  pre.src-ditaa:before { content: 'ditaa'; }
  pre.src-dot:before { content: 'Graphviz'; }
  pre.src-calc:before { content: 'Emacs Calc'; }
  pre.src-emacs-lisp:before { content: 'Emacs Lisp'; }
  pre.src-fortran:before { content: 'Fortran'; }
  pre.src-gnuplot:before { content: 'gnuplot'; }
  pre.src-haskell:before { content: 'Haskell'; }
  pre.src-hledger:before { content: 'hledger'; }
  pre.src-java:before { content: 'Java'; }
  pre.src-js:before { content: 'Javascript'; }
  pre.src-latex:before { content: 'LaTeX'; }
  pre.src-ledger:before { content: 'Ledger'; }
  pre.src-lisp:before { content: 'Lisp'; }
  pre.src-lilypond:before { content: 'Lilypond'; }
  pre.src-lua:before { content: 'Lua'; }
  pre.src-matlab:before { content: 'MATLAB'; }
  pre.src-mscgen:before { content: 'Mscgen'; }
  pre.src-ocaml:before { content: 'Objective Caml'; }
  pre.src-octave:before { content: 'Octave'; }
  pre.src-org:before { content: 'Org mode'; }
  pre.src-oz:before { content: 'OZ'; }
  pre.src-plantuml:before { content: 'Plantuml'; }
  pre.src-processing:before { content: 'Processing.js'; }
  pre.src-python:before { content: 'Python'; }
  pre.src-R:before { content: 'R'; }
  pre.src-ruby:before { content: 'Ruby'; }
  pre.src-sass:before { content: 'Sass'; }
  pre.src-scheme:before { content: 'Scheme'; }
  pre.src-screen:before { content: 'Gnu Screen'; }
  pre.src-sed:before { content: 'Sed'; }
  pre.src-sh:before { content: 'shell'; }
  pre.src-sql:before { content: 'SQL'; }
  pre.src-sqlite:before { content: 'SQLite'; }
  /* additional languages in org.el's org-babel-load-languages alist */
  pre.src-forth:before { content: 'Forth'; }
  pre.src-io:before { content: 'IO'; }
  pre.src-J:before { content: 'J'; }
  pre.src-makefile:before { content: 'Makefile'; }
  pre.src-maxima:before { content: 'Maxima'; }
  pre.src-perl:before { content: 'Perl'; }
  pre.src-picolisp:before { content: 'Pico Lisp'; }
  pre.src-scala:before { content: 'Scala'; }
  pre.src-shell:before { content: 'Shell Script'; }
  pre.src-ebnf2ps:before { content: 'ebfn2ps'; }
  /* additional language identifiers per "defun org-babel-execute"
       in ob-*.el */
  pre.src-cpp:before  { content: 'C++'; }
  pre.src-abc:before  { content: 'ABC'; }
  pre.src-coq:before  { content: 'Coq'; }
  pre.src-groovy:before  { content: 'Groovy'; }
  /* additional language identifiers from org-babel-shell-names in
     ob-shell.el: ob-shell is the only babel language using a lambda to put
     the execution function name together. */
  pre.src-bash:before  { content: 'bash'; }
  pre.src-csh:before  { content: 'csh'; }
  pre.src-ash:before  { content: 'ash'; }
  pre.src-dash:before  { content: 'dash'; }
  pre.src-ksh:before  { content: 'ksh'; }
  pre.src-mksh:before  { content: 'mksh'; }
  pre.src-posh:before  { content: 'posh'; }
  /* Additional Emacs modes also supported by the LaTeX listings package */
  pre.src-ada:before { content: 'Ada'; }
  pre.src-asm:before { content: 'Assembler'; }
  pre.src-caml:before { content: 'Caml'; }
  pre.src-delphi:before { content: 'Delphi'; }
  pre.src-html:before { content: 'HTML'; }
  pre.src-idl:before { content: 'IDL'; }
  pre.src-mercury:before { content: 'Mercury'; }
  pre.src-metapost:before { content: 'MetaPost'; }
  pre.src-modula-2:before { content: 'Modula-2'; }
  pre.src-pascal:before { content: 'Pascal'; }
  pre.src-ps:before { content: 'PostScript'; }
  pre.src-prolog:before { content: 'Prolog'; }
  pre.src-simula:before { content: 'Simula'; }
  pre.src-tcl:before { content: 'tcl'; }
  pre.src-tex:before { content: 'TeX'; }
  pre.src-plain-tex:before { content: 'Plain TeX'; }
  pre.src-verilog:before { content: 'Verilog'; }
  pre.src-vhdl:before { content: 'VHDL'; }
  pre.src-xml:before { content: 'XML'; }
  pre.src-nxml:before { content: 'XML'; }
  /* add a generic configuration mode; LaTeX export needs an additional
     (add-to-list 'org-latex-listings-langs '(conf " ")) in .emacs */
  pre.src-conf:before { content: 'Configuration File'; }

  table { border-collapse:collapse; }
  caption.t-above { caption-side: top; }
  caption.t-bottom { caption-side: bottom; }
  td, th { vertical-align:top;  }
  th.org-right  { text-align: center;  }
  th.org-left   { text-align: center;   }
  th.org-center { text-align: center; }
  td.org-right  { text-align: right;  }
  td.org-left   { text-align: left;   }
  td.org-center { text-align: center; }
  dt { font-weight: bold; }
  .footpara { display: inline; }
  .footdef  { margin-bottom: 1em; }
  .figure { padding: 1em; }
  .figure p { text-align: center; }
  .equation-container {
    display: table;
    text-align: center;
    width: 100%;
  }
  .equation {
    vertical-align: middle;
  }
  .equation-label {
    display: table-cell;
    text-align: right;
    vertical-align: middle;
  }
  .inlinetask {
    padding: 10px;
    border: 2px solid gray;
    margin: 10px;
    background: #ffffcc;
  }
  #org-div-home-and-up
   { text-align: right; font-size: 70%; white-space: nowrap; }
  textarea { overflow-x: auto; }
  .linenr { font-size: smaller }
  .code-highlighted { background-color: #ffff00; }
  .org-info-js_info-navigation { border-style: none; }
  #org-info-js_console-label
    { font-size: 10px; font-weight: bold; white-space: nowrap; }
  .org-info-js_search-highlight
    { background-color: #ffff00; color: #000000; font-weight: bold; }
  .org-svg { width: 90%; }
  /*]]>*/-->
</style>
<link rel="stylesheet" type="text/css" href="../../../script/eppo.css">
<div style="display: none"> \(
\newcommand{\measure}[1]{\operatorname{m}{#1}}
\newcommand{\segment}[1]{\overline{#1}}
\newcommand{\ray}[1]{\vec{#1}}
\renewcommand{\angle}{\measuredangle}
\newcommand{\mAngle}[1]{\measure{\angle{#1}}}
\newcommand{\mSegment}[1]{\measure{\segment{#1}}}
\)</div>
<script type="text/javascript">
/*
@licstart  The following is the entire license notice for the
JavaScript code in this tag.

Copyright (C) 2012-2020 Free Software Foundation, Inc.

The JavaScript code in this tag is free software: you can
redistribute it and/or modify it under the terms of the GNU
General Public License (GNU GPL) as published by the Free Software
Foundation, either version 3 of the License, or (at your option)
any later version.  The code is distributed WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE.  See the GNU GPL for more details.

As additional permission under GNU GPL version 3 section 7, you
may distribute non-source (e.g., minimized or compacted) forms of
that code without the copy of the GNU GPL normally required by
section 4, provided you include this license notice and a URL
through which recipients can access the Corresponding Source.


@licend  The above is the entire license notice
for the JavaScript code in this tag.
*/
<!--/*--><![CDATA[/*><!--*/
 function CodeHighlightOn(elem, id)
 {
   var target = document.getElementById(id);
   if(null != target) {
     elem.cacheClassElem = elem.className;
     elem.cacheClassTarget = target.className;
     target.className = "code-highlighted";
     elem.className   = "code-highlighted";
   }
 }
 function CodeHighlightOff(elem, id)
 {
   var target = document.getElementById(id);
   if(elem.cacheClassElem)
     elem.className = elem.cacheClassElem;
   if(elem.cacheClassTarget)
     target.className = elem.cacheClassTarget;
 }
/*]]>*///-->
</script>
<script type="text/x-mathjax-config">
    MathJax.Hub.Config({
        displayAlign: "center",
        displayIndent: "0em",

        "HTML-CSS": { scale: 100,
                        linebreaks: { automatic: "false" },
                        webFont: "TeX"
                       },
        SVG: {scale: 100,
              linebreaks: { automatic: "false" },
              font: "TeX"},
        NativeMML: {scale: 100},
        TeX: { equationNumbers: {autoNumber: "AMS"},
               MultLineWidth: "85%",
               TagSide: "right",
               TagIndent: ".8em"
             }
});
</script>
<script type="text/javascript"
        src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.0/MathJax.js?config=TeX-AMS_HTML"></script>
</head>
<body>
<div id="content">
<h1 class="title"><i>Euclid's Elements</i>: Reference Sheet for Book 1</h1>
<link rel="stylesheet" type="text/css" href="../../../script/navbar/style.css" />
<meta name="viewport" content="initial-scale=1">
<input id="light-mode" class="light-mode-checkbox visually-hidden" type="checkbox">
<script src="../../../script/remember-scheme.js"></script>
<div class="header header-fixed">
<div class="navbar container">
<div class="logo"><a href="../../../../../../">Chris Eppolito</a></div>
<input type="checkbox" id="navbar-toggle" >
<label for="navbar-toggle"><i></i></label>
<nav class="menu">
<ul>
<li class="dropdown">
<button class="dropbtn">
<a href="../../../research/">Research</a>
</button>
<div class="dropdown-content">
<a href="../../../research/">Overview</a>
<a href="../../../research/statement/">Philosophy</a>
</div>
</li>
<li class="dropdown">
<button class="dropbtn">
<a href="../../../teaching/">Teaching</a>
</button>
<div class="dropdown-content">
<a href="../../../teaching/">Overview</a>
<a href="../../../teaching/statement/">Philosophy</a>
</div>
</li>
<li class="dropdown">
<button class="dropbtn">
<a href="../../../vitae/">Vitae</a>
</button>
<div class="dropdown-content">
<a href="../../../vitae/">Curriculum Vitae</a>
<a href="../../../research/statement/">Research Statement</a>
<a href="../../../vitae/diversity/">DEI Statement</a>
<a href="../../../teaching/statement/">Teaching Statement</a>
</div>
</li>
</ul>
</nav>
</div>
</div>
<div class="theme-container grow">
<div style="padding: 1em"> <label class="light-mode-label" for="light-mode"> Toggle light-mode. </label></div>

<div class="outline-2">
<h2 id="purpose">Purpose</h2>
<div class="outline-text-2" id="text-purpose">
<p>
This is a modern "translation" of the definitions, postulates, common notions, and propositions appearing in Book 1 of <i>Euclid's Elements</i>.
</p>

<p>
To be clear, I did not translate Euclid from the Ancient Greek here.
Rather, I took the publicly available <a href="https://archive.org/download/JL_Heiberg___EUCLIDS_ELEMENTS_OF_GEOMETRY/Elements.pdf">translation by Richard Fitzpatrick</a> and modernized the language and the mathematical terms and notations.
</p>
</div>
<div class="outline-3">
<h3 id="note-purpose">Note for the Reader</h3>
<div class="outline-text-3" id="text-note-purpose">
<p>
At times, Euclid makes some mistakes or omissions.
I sometimes point these out, but other times I do not.
If the omission is relatively minor, I often correct it without comment.
</p>

<p>
The purpose of this project is NOT to write an axiomatic geometry textbook (at least not yet, he said threateningly).
<a href="https://www.wiley.com/en-us/Geometry+and+Symmetry-p-9780470499498">That has</a> <a href="https://www.greenlion.com/books/EuclidsElements.html">been done</a> <a href="https://bookstore.ams.org/view?productcode=AMSTEXT/21">many times</a> <a href="https://bookstore.ams.org/view?ProductCode=NML/19">to date</a>.
Rather, the purpose of this project is to look at the historical work of Euclid from a modern perspective.
I'm personally interested in axiomatics, so this project approaches the topic with a view to the type of axiomatic questions I like to ask.
For example, when Euclid needs an axiom/postulate/assumption he has not stated, I will point this out.
Also, I'm interested in questions of logical dependence, so I'm hoping to (slowly) include more information on that here.
</p>

<p>
See my <a href="#improvements">list of planned improvements</a> for a list of plans I have to expand this project over the next few(?) decades.
</p>
</div>
</div>
</div>
<div class="outline-2">
<h2 id="definitions">Definitions</h2>
<div class="outline-text-2" id="text-definitions">
</div>
<div class="outline-3">
<h3 id="depictions">Depictions</h3>
<div class="outline-text-3" id="text-depictions">
<p>
The following terms are undefined from a modern perspective.
While Euclid gives "definitions", they should be read as "notations" instead, in the sense that Euclid's descriptions are how one depicts these objects in a cartoon.
</p>
<dl class="org-dl">
<dt>Point</dt><dd>depicted by a dot, and an indivisible element.</dd>
<dt>Line</dt><dd>depicted by a single, straight stroke on the canvas.</dd>
<dt>Plane</dt><dd>the canvas itself.</dd>
</dl>
</div>
</div>
<div class="outline-3">
<h3 id="defined-terms">Defined Terms</h3>
<div class="outline-text-3" id="text-defined-terms">
<p>
Some of these definitions assume things which Euclid either does not prove or does not postulate.
In addition, because this is intended as a dictionary of sorts, Euclid does not worry about the logical order of the statements.
In particular, some of these definitions need later postulates or propositions before they are well-defined axiomatically.
</p>
<dl class="org-dl">
<dt>Rigid Motion</dt><dd>A <i>rigid motion</i> is a sequence of translations, rotations, and reflections.</dd>
<dt>Line</dt><dd>A <i>line</i> is a collection of points.
The points are said to be <i>on</i> the line.
We often write \( A \in \ell \) to denote that \( A \) is a point on the line \( \ell \).
The line \( AB \) is the line containing both points \( A \) and \( B \).
Points \( A \), \( B \), and \( C \) are <i>collinear</i> when there is a line \( \ell \) with \( A, B, C \in \ell \).</dd>
<dt>Plane</dt><dd><p>
The collection of points is called the <i>plane</i>.
</p>

<p>
<b>NB</b>: This works for Book 1, but much more care is necessary if we venture into later books!.
</p></dd>
<dt>Segment</dt><dd>A <i>segment</i> between points \( A \) and \( B \) is the collection of all points lying on the line containing \( A \) and \( B \) and between them.
The points \( A \) and \( B \) are the <i>ends</i> or <i>endpoints</i> of the segment, denoted \( \segment{AB} \).
We write \( C \in \segment{AB} \) to denote that \( C \) is on the segment, i.e., <i>between</i> \( A \) and \( B \).</dd>
<dt>Segment Comparisons</dt><dd>Segments \( \segment{AB} \) and \( \segment{CD} \) are <i>equal in measure</i> when there is a rigid motion taking \( A \) to \( C \) and \( B \) to \( D \) respectively.
We write \( \mSegment{AB} = \mSegment{CD} \) in this case.
Segments satisfy \( \mSegment{AB} < \mSegment{CD} \) when there is a rigid motion sending \( A \) to \( C \) and \( B \) to \( E \neq D \) such that \( E \in \segment{CD} \).</dd>
<dt>Sides of a Line</dt><dd>Points \( A \) and \( B \) lie on the <i>same side</i> of line \( \ell \) when \( \segment{AB} \cap \ell = \emptyset \).
Otherwise, \( A \) and \( B \) lie on <i>opposite sides</i> \( \ell \).</dd>
<dt>Angle</dt><dd>The <i>angle</i> \( \angle{BAC} \) is formed by the line segments \( \segment{AB} \) and \( \segment{AC} \).</dd>
<dt>Interior of an Angle</dt><dd>A point \( D \) is on the <i>interior</i> of \( \angle{BAC} \) when the segments forming the angle can be extended so that \( B \in \segment{AE} \), \( C \in \segment{AF} \), and there exist points \( G \in \segment{AE} \) and \( H \in \segment{AF} \) such that \( D \in \segment{GH} \).
In other words, the point \( D \) lies on a segment with ends in the rays \( \ray{AB} \) and \( \ray{AC} \).</dd>
<dt>Angle Comparisons</dt><dd>Two angles are <i>equal in measure</i> when one can be transformed into the other via a rigid motion.
We write \( \mAngle{BAC}} = \mAngle{EDF} \) to denote that these angles are equal in measure.
Angles satisfy \( \mAngle{BAC}} < \mAngle{EDF}} \) when there is a rigid motion transforming the ray \( \ray{AB} \) into the ray \( \ray{DE} \) so that \( C \) lies in the interior of \( \angle{EDF} \).
The <i>sum</i> of two angles \( \angle{ABC} \) and \( \angle{DEF} \) is any angle equal in measure to the angle obtained by making a rigid motion to transform the ray \( \ray{DE} \) into the ray \( \ray{AB} \) so that \(  \)</dd>
<dt>Angle Types</dt><dd>A <i>right angle</i> is an angle \( \angle{BAC} \) so that, given \( D \) with \( A \in \segment{CD} \) we have \( \mAngle{DAC} = \mAngle{BAC} \).
An <i>acute angle</i> is one which is smaller in measure than a right angle.
An <i>obtuse angle</i> is one which is greater in measure than a right angle.</dd>
<dt>Perpendicularity</dt><dd>Two lines \( \ell_1 \) and \( \ell_2 \) are <i>perpendicular</i> when they intersect in a single point \( A \) and form a right angle at \( A \).
We denote this by \( \ell_1 \perp \ell_2 \).</dd>
<dt>Figure</dt><dd>A <i>figure</i> is a set of points with nonempty <i>interior</i> and <i>boundary</i>.
No point on the interior of the figure may belong to the boundary of the figure.
Moreover, if \( A \) is in the interior of the figure and \( B \) is not, then there must be a point on \( \segment{AB} \) which lies in the boundary.</dd>
<dt>Triangle</dt><dd>A <i>triangle</i> \( \triangle{ABC} \) is a figure which has a boundary made of the three segments \( \segment{AB} \), \( \segment{BC} \), and \( \segment{CA} \), and interior all those points which lie on the interior of a segment with ends on one of the boundary segments.
The boundary segments of the triangle are called <i>sides</i> thereof, and the points \( A \), \( B \), and \( C \) are its <i>vertices</i>.</dd>
<dt>Congruence</dt><dd>Two triangles are <i>congruent</i> when there is a rigid motion taking one triangle to the other.</dd>
<dt>Triangle Types</dt><dd>Consider a triangle \( \triangle{ABC} \).
This triangle is&#x2026;
<ul class="org-ul">
<li><i>equilateral</i> when its three boundary segments are of equal measure.</li>
<li><i>isosceles</i> when it has (at least) two sides of equal measure.</li>
<li><i>scalene</i> when it is not isosceles.</li>
<li><i>right</i> when it has a right angle.</li>
<li><i>obtuse</i> when it has an obtuse angle.</li>
<li><i>acute</i> when it is neither right nor obtuse.</li>
</ul></dd>
<dt>Polygon</dt><dd>A <i>polygon</i> is a figure whose boundary is a union of finitely many line segments and so that if the segments \( \segment{AB} \), \( \segment{BC} \), and \( \segment{CA} \) are all contained in the union of the boundary and the interior of the figure, then the triangle \( \triangle{ABC} \) is also contained therein.
The <i>sides</i> of a polygon are the maximal segments contained in the boundary.
The <i>angles</i> of a polygon are the angles formed by the sides sharing a common point.</dd>
<dt>Quadrilateral</dt><dd>A <i>quadrilateral</i> is a polygon with four sides.
A quadrilateral is a&#x2026;
<ul class="org-ul">
<li><i>rectangle</i> when its angles are all right angles.</li>
<li><i>rhombus</i> when its sides are all equal in measure.</li>
<li><i>square</i> when it is both a rhombus and a rectangle.</li>
<li><i>parallelogram</i> when opposing the sides may be labelled \( \alpha \), \( \beta \), \( \gamma \), and \( \delta \) with \( \alpha \parallel \gamma \) and \( \beta \parallel \delta \).</li>
</ul></dd>
<dt>Circle</dt><dd>The circle <i>centred at</i> \( C \) with <i>radius</i> \( \segment{CA} \) is a convex figure whose boundary is the set of those points \( B \) with \( \mSegment{CB} = \mSegment{CA} \).
A <i>diameter</i> of the circle is a segment \( \segment{AB} \) with \( \segment{CA} \) and \( \segment{CB} \) both radii of the circle and \( C \in \segment{AB} \).
We also say this is the <i>circle with centre \( C \) through \( A \)</i>.</dd>
<dt>Parallelism</dt><dd>Two lines \( \ell_1 \) and \( \ell_2 \) are <i>parallel</i> when either \( \ell_1 = \ell_2 \) or \( \ell_1 \cap \ell_2 = \emptyset \).
We denote this by \( \ell_1 \parallel \ell_2 \).</dd>
</dl>
</div>
</div>
</div>
<div class="outline-2">
<h2 id="postulates">Postulates</h2>
<div class="outline-text-2" id="text-postulates">
</div>
<div class="outline-3">
<h3 id="postulate-1">Postulate 1: Lines Spanned by Points</h3>
<div class="outline-text-3" id="text-postulate-1">
<p>
For every pair of points \( A \) and \( B \), there is a line \( AB \) containing both \( A \) and \( B \).
</p>
</div>
</div>
<div class="outline-3">
<h3 id="postulate-2">Postulate 2: Extension of Segments</h3>
<div class="outline-text-3" id="text-postulate-2">
<p>
Every line segment can be extended at either end.
In particular, given points \( A \) and \( B \), there are points \( C \neq A \) and \( D \neq B \) for which \( A \in \segment{BC} \) and \( B \in \segment{AD} \).
</p>
</div>
</div>
<div class="outline-3">
<h3 id="postulate-3">Postulate 3: Circles can Always be Drawn</h3>
<div class="outline-text-3" id="text-postulate-3">
<p>
If \( A \) and \( C \) are points, then there is a circle centred at \( C \) and through \( A \).
</p>
</div>
</div>
<div class="outline-3">
<h3 id="postulate-4">Postulate 4: Right Angles are all Equal in Measure</h3>
<div class="outline-text-3" id="text-postulate-4">
<p>
All right angles are equal in measure to all other right angles.
</p>
</div>
</div>
<div class="outline-3">
<h3 id="postulate-5">Postulate 5: Parallel Postulate</h3>
<div class="outline-text-3" id="text-postulate-5">
<p>
Let \( AB \) and \( CD \) be lines with points \( E \in \segment{AB} \) and \( F \in \segment{CD} \) so that \( A \) and \( C \) lie on the same side of \( EF \).  If \( \mAngle{AEF} \) and \( \mAngle{CEF} \) sum to an angle less than two right angles, then the lines \( AB \) and \( CD \) intersect at a point on the same side of \( EF \) as \( A \).
</p>
</div>
<div class="outline-4">
<h4 id="parallel-postulate-history">Historical Note</h4>
<div class="outline-text-4" id="text-parallel-postulate-history">
<p>
This postulate is somewhat controversial historically.
Because of the relative complexity of this postulate, many folks believed that this must be a theorem provable from the other postulates.
In fact, it is logically independent from the other postulates.
Hyperbolic geometry is an example of a geometric system showing that the negation of the Parallel Postulate can also hold in the presence of the other postulates.
</p>
</div>
</div>
</div>
</div>
<div class="outline-2">
<h2 id="implicit-postulates">Implicit Postulates</h2>
<div class="outline-text-2" id="text-implicit-postulates">
<p>
The following are postulates Euclid uses at various points in Book 1 without ever explicitly assuming.
We take these as extra axioms when reading Euclid.
</p>
</div>
<div class="outline-3">
<h3 id="postulate_non-collinear-triple">Existence of a Non-collinear Triple</h3>
<div class="outline-text-3" id="text-postulate_non-collinear-triple">
<p>
There are some three points \( A \), \( B \), and \( C \) which are non-collinear.
</p>
</div>
</div>
<div class="outline-3">
<h3 id="postulate_unique-lines">Uniqueness of Generated Lines</h3>
<div class="outline-text-3" id="text-postulate_unique-lines">
<p>
The line \( AB \) is the unique line passing through points \( A \) and \( B \).
</p>
</div>
</div>
<div class="outline-3">
<h3 id="postulate_betweenness">Between-ness</h3>
<div class="outline-text-3" id="text-postulate_betweenness">
<p>
If \( A \), \( B \), and \( C \) are distinct collinear points, then exactly one of \( A \in \segment{BC} \)
</p>
</div>
</div>
<div class="outline-3">
<h3 id="postulate_unique-line-intersections">Uniqueness of Line Intersections</h3>
<div class="outline-text-3" id="text-postulate_unique-line-intersections">
<p>
If \( \ell_1 \) and \( \ell_2 \) are lines, then \( \ell_1 \cap \ell_2 \) is at most one point.
</p>
</div>
</div>
<div class="outline-3">
<h3 id="postulate_rigid-motion">Rigid Motions</h3>
<div class="outline-text-3" id="text-postulate_rigid-motion">
<p>
Given a pair of triangles \( \triangle{ABC} \) and \( \triangle{DEF} \), there is a rigid motion taking the ray \( \ray{AB} \) to the ray \( \ray{DE} \) and carrying \( C \) to the same side of line \( DE \) as \( F \).
</p>
</div>
</div>
<div class="outline-3">
<h3 id="postulate_circles-intersect-lines">Lines Cut Circles</h3>
<div class="outline-text-3" id="text-postulate_circles-intersect-lines">
<p>
If \( \ell \) is a line passing through the interior of a circle, then \( \ell \) intersects the boundary of the circle at exactly two points.
</p>
</div>
</div>
</div>
<div class="outline-2">
<h2 id="propositions">Propositions</h2>
<div class="outline-text-2" id="text-propositions">
<p>
This section collects the statements of the propositions from Book 1.
</p>
</div>
<div class="outline-3">
<h3 id="prop-01-01">Proposition 01</h3>
<div class="outline-text-3" id="text-prop-01-01">
<p>
Let \( A \) and \( B \) be distinct points.
There is a point \( C \) for which \( \triangle{ABC} \) is an equilateral triangle.
</p>
</div>
</div>
<div class="outline-3">
<h3 id="prop-01-02">Proposition 02</h3>
<div class="outline-text-3" id="text-prop-01-02">
<p>
Let \( A \), \( B \), and \( C \) be points.
There is a point \( D \) for which \( \mSegment{AD} = \mSegment{BC} \).
</p>
</div>
</div>
<div class="outline-3">
<h3 id="prop-01-03">Proposition 03</h3>
<div class="outline-text-3" id="text-prop-01-03">
<p>
Let \( A \), \( B \), \( C \), and \( D \) be points.
If \( \mSegment{AB} \leq \mSegment{CD} \), then there is a point \( E \in \segment{CD} \) with \( \mSegment{CE} = \mSegment{AB} \).
</p>
</div>
</div>
<div class="outline-3">
<h3 id="prop-01-04">Proposition 04</h3>
<div class="outline-text-3" id="text-prop-01-04">
<p>
Let \( \triangle{ABC} \) and \( \triangle{DEF} \) be given.
If \( \mSegment{AB} = \mSegment{DE} \), \( \mSegment{AC} = \mSegment{DF} \), and \( \mAngle{BAC} = \mAngle{EDF} \), then \( \triangle{ABC} \cong \triangle{DEF} \).
</p>
</div>
</div>
<div class="outline-3">
<h3 id="prop-01-05">Proposition 05</h3>
<div class="outline-text-3" id="text-prop-01-05">
<p>
Let \( A \), \( B \), and \( C \) be non-collinear points.
If \( \mSegment{AB} = \mSegment{AC} \), then \( \mAngle{ABC} = \mAngle{ACB} \).
</p>
</div>
</div>
<div class="outline-3">
<h3 id="prop-01-06">Proposition 06</h3>
<div class="outline-text-3" id="text-prop-01-06">
<p>
Let \( A \), \( B \), and \( C \) be non-collinear points.
If \( \mAngle{ABC} = \mAngle{ACB} \), then \( \mSegment{AB} = \mSegment{AC} \).
</p>
</div>
</div>
<div class="outline-3">
<h3 id="prop-01-07">Proposition 07</h3>
<div class="outline-text-3" id="text-prop-01-07">
<p>
Let \( A \), \( B \), \( C \), and \( D \) be points.
Assume \( \mSegment{AC} = \mSegment{AD} \) and \( \mSegment{BC} = \mSegment{BD} \).
If \( C \) and \( D \) are on the same side of \( AB \), then \( C = D \).
</p>
</div>
</div>
<div class="outline-3">
<h3 id="prop-01-08">Proposition 08</h3>
<div class="outline-text-3" id="text-prop-01-08">
<p>
Let \( \triangle{ABC} \) and \( \triangle{DEF} \) be given.
If \( \mSegment{AB} = \mSegment{DE} \), \( \mSegment{BC} = \mSegment{EF} \), and \( \mSegment{CA} = \mSegment{FD} \), then \( \mAngle{ABC} = \mAngle{DEF} \).
</p>
</div>
</div>
<div class="outline-3">
<h3 id="prop-01-09">Proposition 09</h3>
<div class="outline-text-3" id="text-prop-01-09">
<p>
Let \( A \), \( B \), and \( C \) be non-collinear points.
There is a point \( D \) in the interior of \( \angle{BAC} \) with \( \mAngle{BAD} = \mAngle{CAD} \).
</p>
</div>
</div>
<div class="outline-3">
<h3 id="prop-01-10">Proposition 10</h3>
<div class="outline-text-3" id="text-prop-01-10">
<p>
Let \( A \) and \( B \) be points.
There is a point \( C \in \segment{AB} \) with \( \mSegment{AC} = \mSegment{BC} \).
</p>
</div>
</div>
<div class="outline-3">
<h3 id="prop-01-11">Proposition 11</h3>
<div class="outline-text-3" id="text-prop-01-11">
<p>
Let \( A \), \( B \), and \( C \) be distinct points.
If \( C \in \segment{AB} \), then there is a line \( \gamma \) with \( \gamma \perp AB \) and \( C \in \gamma \).
</p>
</div>
</div>
<div class="outline-3">
<h3 id="prop-01-12">Proposition 12</h3>
<div class="outline-text-3" id="text-prop-01-12">
<p>
Let \( A \) be a point not on line \( \beta \).
There is a line \( \alpha \) with \( \alpha \perp \beta \) and \( A \in \alpha \).
</p>
</div>
</div>
<div class="outline-3">
<h3 id="prop-01-13">Proposition 13</h3>
<div class="outline-text-3" id="text-prop-01-13">
<p>
Let \( A \), \( B \), \( C \), and \( D \) be distinct points.
If \( B \in \segment{CD} \), then the sum of the angles \( \angle{CBA} \) and \( \angle{ABD} \) is the same in measure as the sum of two right angles.
</p>
</div>
</div>
<div class="outline-3">
<h3 id="prop-01-14">Proposition 14</h3>
<div class="outline-text-3" id="text-prop-01-14">
<p>
Let \( A \), \( B \), \( C \), and \( D \) be distinct points.
If \( C \) and \( D \) are on opposite sides of \( AB \) and the sum of \( \angle{ABC} \) and \( \angle{ABD} \) is the same in measure as the sum of two right angles, then \( B \in \segment{CD} \).
</p>
</div>
</div>
<div class="outline-3">
<h3 id="prop-01-15">Proposition 15</h3>
<div class="outline-text-3" id="text-prop-01-15">
<p>
Let \( A \), \( B \), \( C \), and \( D \) be distinct points.
If \( E \in \mSegment{AB} \cap \mSegment{CD} \), then \( \mAngle{AEC} = \mAngle{BED} \).
</p>
</div>
</div>
<div class="outline-3">
<h3 id="prop-01-16">Proposition 16</h3>
<div class="outline-text-3" id="text-prop-01-16">
<p>
Let \( \triangle{ABC} \) be given and \( D \neq C \).
If \( C \in BD \), then \( \mAngle{ACD} > \mAngle{CBA} \) and \( \mAngle{ACD} > \mAngle{BAC} \).
</p>
</div>
</div>
<div class="outline-3">
<h3 id="prop-01-17">Proposition 17</h3>
<div class="outline-text-3" id="text-prop-01-17">
<p>
Let \( \triangle{ABC} \) be given.
The sum of \( \angle{ABC} \) and \( \angle{ACB} \) is less in measure than the sum of two right angles.
</p>
</div>
</div>
<div class="outline-3">
<h3 id="prop-01-18">Proposition 18</h3>
<div class="outline-text-3" id="text-prop-01-18">
<p>
Let \( \triangle{ABC} \) be given.
If \( \mSegment{AB} < \mSegment{BC} \), then \( \mAngle{ACB} < \mAngle{BAC} \).
</p>
</div>
</div>
<div class="outline-3">
<h3 id="prop-01-19">Proposition 19</h3>
<div class="outline-text-3" id="text-prop-01-19">
<p>
Let \( \triangle{ABC} \) be given.
If \( \mAngle{ACB} < \mAngle{BAC} \), then \( \mSegment{AB} < \mSegment{BC} \).
</p>
</div>
</div>
<div class="outline-3">
<h3 id="prop-01-20">Proposition 20</h3>
<div class="outline-text-3" id="text-prop-01-20">
<p>
Let \( \triangle{ABC} \) be given.
Then the sum of the segments \( \segment{AB} \) and \( \segment{BC} \) is greater in measure than the segment \( \segment{BC} \).
</p>
</div>
</div>
<div class="outline-3">
<h3 id="prop-01-21">Proposition 21</h3>
<div class="outline-text-3" id="text-prop-01-21">
<p>
Let \( \triangle{ABC} \) be given.
If \( D \) is in the interior of \( \triangle{ABC} \), then \( \mSegment{BD} < \mSegment{AB} \) and \( \mAngle{BAC} < \mAngle{BDC} \).
</p>
</div>
</div>
<div class="outline-3">
<h3 id="prop-01-22">Proposition 22</h3>
<div class="outline-text-3" id="text-prop-01-22">
<p>
Let \( \alpha \), \( \beta \), and \( \gamma \) be segments.
If the measure of the pairwise sums of these segments always exceed the measure of the remaining segment, then there is a triangle with sides equal in measure to \( \alpha \), \( \beta \), and \( \gamma \).
</p>

<p>
In particular, if \( \mSegment{\alpha} + \mSegment{\beta} \geq \mSegment{\gamma} \), \( \mSegment{\beta} + \mSegment{\gamma} \geq \mSegment{\alpha} \), and \( \mSegment{\gamma} + \mSegment{\alpha} \geq \mSegment{\beta} \), then there is a triangle \( \triangle{ABC} \) with \( \mSegment{\alpha} = \mSegment{BC} \), \( \mSegment{\beta} = \mSegment{CA} \), and \( \mSegment{\gamma} = \mSegment{AB} \).
</p>
</div>
</div>
<div class="outline-3">
<h3 id="prop-01-23">Proposition 23</h3>
<div class="outline-text-3" id="text-prop-01-23">
<p>
Let \( A \), \( B \), \( C \), \( D \), and \( E \) be points with \( C \), \( D \), and \( E \) non-collinear.
There is a point \( F \) with \( \mAngle{FAB} = \mAngle{DCE} \).
</p>
</div>
</div>
<div class="outline-3">
<h3 id="prop-01-24">Proposition 24</h3>
<div class="outline-text-3" id="text-prop-01-24">
<p>
Let \( \triangle{ABC} \) and \( \triangle{DEF} \) be given.
If \( \mSegment{AB} = \mSegment{DE} \), \( \mSegment{AC} = \mSegment{DF} \), and \( \mAngle{BAC} > \mAngle{EDF} \), then \( \mSegment{BC} > \mSegment{EF} \).
</p>
</div>
</div>
<div class="outline-3">
<h3 id="prop-01-25">Proposition 25</h3>
<div class="outline-text-3" id="text-prop-01-25">
<p>
Let \( \triangle{ABC} \) and \( \triangle{DEF} \) be given.
If \( \mSegment{AB} = \mSegment{DE} \), \( \mSegment{AC} = \mSegment{DF} \), and \( \mSegment{BC} > \mSegment{EF} \), then \( \mAngle{BAC} > \mAngle{EDF} \).
</p>
</div>
</div>
<div class="outline-3">
<h3 id="prop-01-26">Proposition 26</h3>
<div class="outline-text-3" id="text-prop-01-26">
<p>
Let \( \triangle{ABC} \) and \( \triangle{DEF} \) be given.
Assume \( \mAngle{ABC} = \mAngle{DEF} \) and \( \mAngle{BCA} = \mAngle{EFD} \).
If either \( \mSegment{BC} = \mSegment{EF} \) or \( \mSegment{AB} = \mSegment{DE} \), then \( \triangle{ABC} \cong \triangle{DEF} \).
</p>
</div>
</div>
<div class="outline-3">
<h3 id="prop-01-27">Proposition 27</h3>
<div class="outline-text-3" id="text-prop-01-27">
<p>
Let lines \( AB \), \( CD \), and \( EF \) be given with \( E \in \segment{AB} \) and \( F \in \segment{CD} \).
If \( \mAngle{AEF} = \mAngle{EFD} \), then \( AB \parallel CD \).
</p>
</div>
</div>
<div class="outline-3">
<h3 id="prop-01-28">Proposition 28</h3>
<div class="outline-text-3" id="text-prop-01-28">
<p>
Let distinct lines \( AB \), \( CD \), and \( EF \) be given so that no three of these points are collinear.
Assume there are points \( G \in \segment{AB} \cap \segment{EF} \) and \( H \in \segment{CD} \cap \segment{EF} \).
If either \( \mAngle{EGB} = \mAngle{GHD} \) or the measure of the sum of \( \angle{BGH} \) and \( \angle{DHG} \) is equal to that of two right angles, then \( AB \parallel CD \).
</p>
</div>
</div>
<div class="outline-3">
<h3 id="prop-01-29">Proposition 29</h3>
<div class="outline-text-3" id="text-prop-01-29">
<p>
Let distinct lines \( AB \), \( CD \), and \( EF \) be given so that no three of these points are collinear.
Assume there are points \( G \in \segment{AB} \cap \segment{EF} \) and \( H \in \segment{CD} \cap \segment{EF} \).
If \( AB \parallel CD \), then the sum of the angles \( \angle{BGH} \) and \( \angle{GHD} \) is equal in measure with the sum of two right angles.
</p>
</div>
</div>
<div class="outline-3">
<h3 id="prop-01-30">Proposition 30</h3>
<div class="outline-text-3" id="text-prop-01-30">
<p>
If lines \( \alpha \parallel \beta \) and \( \beta \parallel \gamma \), then \( \alpha \parallel \gamma \).
That is, parallelism is a transitive relation on lines.
</p>
</div>
</div>
<div class="outline-3">
<h3 id="prop-01-31">Proposition 31</h3>
<div class="outline-text-3" id="text-prop-01-31">
<p>
Let \( A \), \( B \), and \( C \) be non-collinear points.
There is a line \( \ell \) with \( A \in \ell \) and \( \ell \parallel BC \).
</p>
</div>
</div>
<div class="outline-3">
<h3 id="prop-01-32">Proposition 32</h3>
<div class="outline-text-3" id="text-prop-01-32">
<p>
Let \( \triangle{ABC} \) be given.
If side \( \segment{BC} \) is extended to \( \segment{BD} \) with \( C \neq D \), then the angle \( \angle{ACD} \) is equal in measure with the sum of the angles \( \angle{BAC} \) and \( \angle{ABC} \).
Moreover, the sum of the three angles of the triangle is equal in measure with the sum of two right angles.
</p>
</div>
</div>
<div class="outline-3">
<h3 id="prop-01-33">Proposition 33</h3>
<div class="outline-text-3" id="text-prop-01-33">
<p>
Let \( AB \) and \( CD \) be lines with \( A \) and \( D \) on opposite sides of \( BC \).
If \( \mSegment{AB} = \mSegment{CD} \) and \( AB \parallel CD \), then \( \mSegment{AC} = \mSegment{BD} \) and \( AC \parallel BD \).
</p>
</div>
</div>
<div class="outline-3">
<h3 id="prop-01-34">Proposition 34</h3>
<div class="outline-text-3" id="text-prop-01-34">
<p>
If \( ABCD \) is a parallelogram, then the angles satisfy \( \mAngle{ABD} = \mAngle{DCA} \).
Moreover, the segment \( \segment{BC} \) bisects both of these angles.
</p>
</div>
</div>
<div class="outline-3">
<h3 id="prop-01-35">Proposition 35</h3>
<div class="outline-text-3" id="text-prop-01-35">
<p>
If \( ABCD \) and \( EBCF \) are parallelograms and the lines \( AD = EF \), then the these parallelograms are equal in area.
</p>
</div>
</div>
<div class="outline-3">
<h3 id="prop-01-36">Proposition 36</h3>
<div class="outline-text-3" id="text-prop-01-36">
<p>
Let \( A \), \( B \), \( C \), \( D \), \( E \), \( F \), \( G \), and \( H \) be points.
If \( AD = EH \), \( BC = FG \), \( \mSegment{AD} = \mSegment{EH} \), and \( \mSegment{BC} = \mSegment{FG} \), then the parallelograms \( ABCD \) and \( EFGH \) are equal in area.
</p>
</div>
</div>
<div class="outline-3">
<h3 id="prop-01-37">Proposition 37</h3>
<div class="outline-text-3" id="text-prop-01-37">
<p>
Let \( A \), \( B \), \( C \), and \( D \) be points.
If \( AD \parallel BC \), then the triangles \( \triangle{ABC} \) and \( \triangle{DBC} \) are equal in area.
</p>
</div>
</div>
<div class="outline-3">
<h3 id="prop-01-38">Proposition 38</h3>
<div class="outline-text-3" id="text-prop-01-38">
<p>
Let \( A \), \( B \), \( C \), \( D \), \( E \), and \( F \) be points.
If \( BC = EF \), \( AD \parallel BC \), and \( \mSegment{BC} = \mSegment{EF} \), then the triangles \( \triangle{ABC} \) and \( \triangle{DEF} \) are equal in area.
</p>
</div>
</div>
<div class="outline-3">
<h3 id="prop-01-39">Proposition 39</h3>
<div class="outline-text-3" id="text-prop-01-39">
<p>
Let \( \triangle{ABC} \) and \( \triangle{DBC} \) be given.
If these triangles are equal in area and \( A \) and \( D \) are on the same side of \( BC \), then \( AD \parallel BC \).
</p>
</div>
</div>
<div class="outline-3">
<h3 id="prop-01-40">Proposition 40</h3>
<div class="outline-text-3" id="text-prop-01-40">
<p>
Let \( \triangle{ABC} \) and \( \triangle{DEF} \) be given.
Assume \( BC = EF \), \( \mSegment{BC} = \mSegment{EF} \), and \( A \) and \( D \) lie on the same side of \( BC \).
If these triangles are equal in area, then \( AD \parallel BC \).
</p>
</div>
<div class="outline-4">
<h4 id="note-40">Note</h4>
<div class="outline-text-4" id="text-note-40">
<p>
Euclid's proof is not as general as his statement requires.
In particular, he assumes that the bases of the triangles (i.e., the sides assumed to belong to the same line and having the same measure) share exactly one point.
While this can be arranged by a rigid motion applied to one of these triangles, that should be the first step of the proof!
</p>

<p>
It's also worth noting that the restricted version of the statement (i.e., the one he proves) is the only one that Euclid ever uses!
So in some way, this criticism is a bit overdone.
Even though he misstated the proposition, he never gets confused about what he can use later.
Still, it could be confusing, so we won't let him off the hook entirely&#x2026;
</p>
</div>
</div>
</div>
<div class="outline-3">
<h3 id="prop-01-41">Proposition 41</h3>
<div class="outline-text-3" id="text-prop-01-41">
<p>
Let parallelogram \( ABCD \) and triangle \( \triangle{BCE} \) be given.
If \( E \in AD \), then the area of the triangle is half that of the parallelogram.
</p>
</div>
</div>
<div class="outline-3">
<h3 id="prop-01-42">Proposition 42</h3>
<div class="outline-text-3" id="text-prop-01-42">
<p>
Let \( \triangle{ABC} \) and angle \( \angle{\alpha} \) be given.
There is a parallelogram \( DEFG \) with \( \mAngle{DEF} = \mAngle{\alpha} \) and having the same area as \( \triangle{ABC} \).
</p>
</div>
</div>
<div class="outline-3">
<h3 id="prop-01-43">Proposition 43</h3>
<div class="outline-text-3" id="text-prop-01-43">
<p>
Let \( ABCD \) be a parallelogram and \( E \) a point on the diagonal \( \segment{AC} \).
Let \( F \in \segment{BC} \) and \( G \in \segment{AD} \) have \( E \in \segment FG \) and \( FG \parallel AB \).
Similarly, let \( H \in \segment{AB} \) and \( I \in \segment{CD} \) have \( E \in \segment HI \) and \( HI \parallel BC \).
Then the figures \( BFEH \) and \( DGEI \) are parallelograms of equal area.
</p>
</div>
</div>
<div class="outline-3">
<h3 id="prop-01-44">Proposition 44</h3>
<div class="outline-text-3" id="text-prop-01-44">
<p>
Let line \( AB \), triangle \( \triangle{\tau} \), and angle \( \angle{\alpha} \) be given.
There is a parallelogram \( ABCD \) with \( \mAngle{ABC} = \mAngle{\alpha} \) and having the same area as \( \triangle{tau} \).
</p>
</div>
</div>
<div class="outline-3">
<h3 id="prop-01-45">Proposition 45</h3>
<div class="outline-text-3" id="text-prop-01-45">
<p>
Let \( ABCD \) be a quadrilateral and \( \angle{\alpha} \) be an angle.
There is a parallelogram \( EFGH \) with \( \mAngle{EFG} = \mAngle{\alpha} \) and equal in area with \( ABCD \).
</p>
</div>
</div>
<div class="outline-3">
<h3 id="prop-01-46">Proposition 46</h3>
<div class="outline-text-3" id="text-prop-01-46">
<p>
Let \( \segment{AB} \) be a given segment.
There are points \( C \) and \( D \) with \( ABCD \) a square.
</p>
</div>
</div>
<div class="outline-3">
<h3 id="prop-01-47">Proposition 47</h3>
<div class="outline-text-3" id="text-prop-01-47">
<p>
Let \( \triangle{ABC} \) be given.
If angle \( \angle{ACB} \) is a right angle, then the sum of the areas of the squares with sides measuring \( \mSegment{BC} \) and \( \mSegment{AC} \) is equal to the area of the square with side measuring \( \mSegment{AB} \).
</p>
</div>
<div class="outline-4">
<h4 id="note-47">Note</h4>
<div class="outline-text-4" id="text-note-47">
<p>
This is the Pythagorean Theorem (which is surely due originally to one of the cult leader's students or teachers).
Indeed, as I've expressed it, \( a = \mSegment{BC} \), \( b = \mSegment{AC} \), and \( c = \mSegment{AB} \) is the length of the hypotenuse.
Then the modern, algebraic translation of the conclusion is that \( a^2 + b^2 = c^2 \).
</p>
</div>
</div>
</div>
<div class="outline-3">
<h3 id="prop-01-48">Proposition 48</h3>
<div class="outline-text-3" id="text-prop-01-48">
<p>
Let \( \triangle{ABC} \) be given.
If the sum of the areas of the squares with sides measuring \( \mSegment{BC} \) and \( \mSegment{AC} \) is equal to the area of the square with side measuring \( \mSegment{AB} \), then the angle \( \angle{ACB} \) is a right angle.
</p>
</div>
<div class="outline-4">
<h4 id="note-48">Note</h4>
<div class="outline-text-4" id="text-note-48">
<p>
This is the converse of the Pythagorean Theorem!
</p>

<p>
As a historical note, it turns out that the Pythagorean Theorem is logically equivalent to the Parallel Postulate in the context of the other axioms.
In particular, in other axiomatic geometry systems satisfying all of the other Euclidean postulates/assumptions (i.e., in any "neutral geometry"), the Parallel Postulate holds if and only if the Pythagorean Theorem holds.
</p>
</div>
</div>
</div>
</div>
<div class="outline-2">
<h2 id="improvements"><span class="todo TODO">TODO</span> Planned Expansions</h2>
<div class="outline-text-2" id="text-improvements">
<p>
In the future, I hope to significantly expand this project.
This section is a place for me to organize my thoughts on what to do and how to do it in a way that I find appealing as a side project.
They're categorized by priority below.
</p>
</div>
<div class="outline-3">
<h3 id="improve-errors">Errors</h3>
<div class="outline-text-3" id="text-improve-errors">
<p>
In a project like this&#x2014;a low-priority vanity project I mostly work on when I'm too tired to do research&#x2014;there are bound to be some errors, some possibly glaring.
I'd like those to go away over time.
If you, dear reader, find any errors or think I have misrepresented something, please email me!
My email address for this purpose is <code>eppolito (/dot/) math AT gmail [dawt] com</code>.
Sorry if my response takes some time.
</p>
</div>
</div>
<div class="outline-3">
<h3 id="improve-definitions">Definitions</h3>
<div class="outline-text-3" id="text-improve-definitions">
<p>
The one exception to my rule "don't change what Euclid does", has to do with definitions.
Most of Euclid's definitions are rather shaky from a modern perspective.
I have clarified how Euclid thinks about certain terms in my list of definitions.
However, this is not perfect, and I should rethink these very carefully at some point.
</p>
</div>
</div>
<div class="outline-3">
<h3 id="improve-proofs">Proofs</h3>
<div class="outline-text-3" id="text-improve-proofs">
<p>
I hope to create a separate page for each proposition translating its proof into more modern language.
</p>
</div>
</div>
<div class="outline-3">
<h3 id="improve-pictures">Pictures</h3>
<div class="outline-text-3" id="text-improve-pictures">
<p>
Each proof should have a picture depicting the case(s) resolved by Euclid in his proof.
Implementing this will require some thought.
At the time of writing, I think the best way is to&#x2026;
</p>
<ol class="org-ol">
<li>Write some <code>lisp</code> or <code>Haskell</code> or <code>Elm</code> code to generate SVG from simple commands describing the constructions.</li>
<li>Add the generated SVG to the site on each proofs page an on a common page of figures.</li>
</ol>

<p>
I plan to open-source all the code I write for this purpose.
Note that I am already aware of software that would allow me to generate the SVG files.
That's not the point here; to my knowledge, there is no major framework for generating these images from human-readable code which would also allow me to effectively just write the proofs from Euclid as code.
<b>That</b> is the point of this improvement&#x2026;
</p>

<p>
In my humble opinion, such a module/framework would be a major boon for education in geometry.
Ideally, this module will also be able to generate interactive versions of the canvas.
But that is a very far off goal; it would also be cool if this could be used to generate a slideshow for each proof&#x2026;
I find this prospect exciting!
</p>
</div>
</div>
<div class="outline-3">
<h3 id="improve-graph">Dependence Graph</h3>
<div class="outline-text-3" id="text-improve-graph">
<p>
Each proof should be accompanied by a list of the postulates and propositions upon which it relies.
After compiling such a list (e.g. as a <code>JSON</code> or <code>YAML</code> file), I plan to use that database to create an interactive dependence graph on its own page.
</p>
</div>
</div>
<div class="outline-3">
<h3 id="improve-language">More Modern Language</h3>
<div class="outline-text-3" id="text-improve-language">
<p>
As it stands, I've preserved the way Euclid talks about certain things.
For example, I leave statements of the form "the sum of the two angles is equal in measure with the sum of two right angles" or "equal in area" mostly unchanged.
There are much better ways to handle this, e.g., by introducing some notations, but they will take some care to implement.
One day I'll have the time&#x2026;
</p>
</div>
</div>
<div class="outline-3">
<h3 id="improve-axiomatics">More Axiomatics</h3>
<div class="outline-text-3" id="text-improve-axiomatics">
<p>
I love axiomatics.
In the future, I hope to expand this portion of the site with proofs that various historical Parallel Postulate replacements (e.g., Playfair's Axiom, Pi is constant, etc.) are logically equivalent to Postulate 5.
</p>

<p>
This comes dangerously close to me saying "I'd like to write a textbook on axiomatic geometry".
That means I should not consider doing this one until other parts of my academic career are a bit more stable.
</p>
</div>
</div>
</div>
</div>
</body>
</html>
